Bug 1125689 - nghttp2 mistake in spec file
nghttp2 mistake in spec file
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Tomáš Chvátal
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-02-17 18:17 UTC by Holger Bruenjes
Modified: 2021-03-24 19:00 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Holger Bruenjes 2019-02-17 18:17:56 UTC
in spec file from nghttp2-1.36.0-1.2.src.rpm and before

the devel package require not the libnghttp2-asio 

correct require was libnghttp2

see pkgconfig file 

Libs: -L${libdir} -lnghttp2 



%package -n %{soname}-devel
Summary:        Development files for nghttp2
Group:          Development/Languages/C and C++
-   Requires:       %{soname_asio}%{sover_asio} = %{version}
+   Requires:       %{soname}%{sover} = %{version}
Provides:       %{name}-devel
Comment 1 Adam Majer 2019-08-19 12:12:51 UTC
re-assign to maintainer(s)
Comment 2 Martin Pluskal 2019-08-19 12:25:45 UTC
(In reply to Holger Bruenjes from comment #0)
> in spec file from nghttp2-1.36.0-1.2.src.rpm and before
> 
> the devel package require not the libnghttp2-asio 
> 
> correct require was libnghttp2
> 
> see pkgconfig file 
> 
> Libs: -L${libdir} -lnghttp2 
> 
> 
> 
> %package -n %{soname}-devel
> Summary:        Development files for nghttp2
> Group:          Development/Languages/C and C++
> -   Requires:       %{soname_asio}%{sover_asio} = %{version}
> +   Requires:       %{soname}%{sover} = %{version}
> Provides:       %{name}-devel

Thanks for your report - devel package should actually require both library subpackages - will fix it.
Comment 3 Martin Pluskal 2019-08-19 12:28:53 UTC
(In reply to Martin Pluskal from comment #2)
> (In reply to Holger Bruenjes from comment #0)
> > in spec file from nghttp2-1.36.0-1.2.src.rpm and before
> > 
> > the devel package require not the libnghttp2-asio 
> > 
> > correct require was libnghttp2
> > 
> > see pkgconfig file 
> > 
> > Libs: -L${libdir} -lnghttp2 
> > 
> > 
> > 
> > %package -n %{soname}-devel
> > Summary:        Development files for nghttp2
> > Group:          Development/Languages/C and C++
> > -   Requires:       %{soname_asio}%{sover_asio} = %{version}
> > +   Requires:       %{soname}%{sover} = %{version}
> > Provides:       %{name}-devel
> 
> Thanks for your report - devel package should actually require both library
> subpackages - will fix it.

I mean it should require %{soname}-%{sover} = %{version}
Comment 4 Swamp Workflow Management 2019-08-19 13:00:07 UTC
This is an autogenerated message for OBS integration:
This bug (1125689) was mentioned in
https://build.opensuse.org/request/show/724568 Factory / nghttp2
Comment 7 Swamp Workflow Management 2019-09-26 16:16:06 UTC
SUSE-SU-2019:2473-1: An update that solves two vulnerabilities and has three fixes is now available.

Category: security (moderate)
Bug References: 1112438,1125689,1134616,1146182,1146184
CVE References: CVE-2019-9511,CVE-2019-9513
Sources used:
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    nghttp2-1.39.2-3.3.1, nghttp2-python-1.39.2-3.3.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    nghttp2-1.39.2-3.3.1, nghttp2-python-1.39.2-3.3.1
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    nghttp2-1.39.2-3.3.1
SUSE Linux Enterprise Module for Basesystem 15 (src):    nghttp2-1.39.2-3.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2019-10-01 16:23:01 UTC
openSUSE-SU-2019:2232-1: An update that solves two vulnerabilities and has three fixes is now available.

Category: security (moderate)
Bug References: 1112438,1125689,1134616,1146182,1146184
CVE References: CVE-2019-9511,CVE-2019-9513
Sources used:
openSUSE Leap 15.1 (src):    nghttp2-1.39.2-lp151.3.3.1, nghttp2-python-1.39.2-lp151.3.3.1
Comment 9 Swamp Workflow Management 2019-10-01 19:13:54 UTC
openSUSE-SU-2019:2234-1: An update that solves two vulnerabilities and has three fixes is now available.

Category: security (moderate)
Bug References: 1112438,1125689,1134616,1146182,1146184
CVE References: CVE-2019-9511,CVE-2019-9513
Sources used:
openSUSE Leap 15.0 (src):    nghttp2-1.39.2-lp150.2.3.1, nghttp2-python-1.39.2-lp150.2.3.1
Comment 10 Tomáš Chvátal 2020-03-20 09:46:06 UTC
Should be submitted everywhere.
Comment 12 Swamp Workflow Management 2021-03-24 14:23:40 UTC
SUSE-SU-2021:0932-1: An update that solves 5 vulnerabilities and has 6 fixes is now available.

Category: security (important)
Bug References: 1082318,1088639,1112438,1125689,1134616,1146182,1146184,1181358,962914,964140,966514
CVE References: CVE-2016-1544,CVE-2018-1000168,CVE-2019-9511,CVE-2019-9513,CVE-2020-11080
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    nghttp2-1.39.2-3.5.1
SUSE OpenStack Cloud Crowbar 8 (src):    nghttp2-1.39.2-3.5.1
SUSE OpenStack Cloud 9 (src):    nghttp2-1.39.2-3.5.1
SUSE OpenStack Cloud 8 (src):    nghttp2-1.39.2-3.5.1
SUSE OpenStack Cloud 7 (src):    nghttp2-1.39.2-3.5.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    nghttp2-1.39.2-3.5.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    nghttp2-1.39.2-3.5.1
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    nghttp2-1.39.2-3.5.1
SUSE Linux Enterprise Server 12-SP5 (src):    nghttp2-1.39.2-3.5.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    nghttp2-1.39.2-3.5.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    nghttp2-1.39.2-3.5.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    nghttp2-1.39.2-3.5.1
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    nghttp2-1.39.2-3.5.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    nghttp2-1.39.2-3.5.1
HPE Helion Openstack 8 (src):    nghttp2-1.39.2-3.5.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.